/**
* 文件：SupplierForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.module.supplier.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.supplier.model.SupplierEntity;
import com.mortals.xhx.module.supplier.model.SupplierQuery;

/**
 * <p>Title: 供应商表</p>
 * <p>Description: SupplierForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class SupplierForm extends BaseCRUDFormLong<SupplierEntity> {
	private SupplierEntity supplier = new SupplierEntity();
	private SupplierQuery query = new SupplierQuery(); 
	public SupplierForm(){
		
	}
	
    @Override
	public SupplierEntity getEntity() {
		return supplier;
	}
	public SupplierEntity getSupplier() {
		return supplier;
	}

	public void setSupplier(SupplierEntity supplier) {
		this.supplier = supplier;
	}
	
	@Override
	public SupplierQuery getQuery() {
		return query;
	}

	public void setQuery(SupplierQuery query) {
		this.query = query;
	}
}